<mat-stepper labelPosition="bottom" [orientation]="(stepperOrientation | async)!" linear #stepper>
    <mat-step [editable]="false">
        <ng-template matStepLabel>Upload image</ng-template>
        <app-upload-file [fileExtentions]="['.png', '.jpg', '.jpeg']" (uploadFile)="onUploadFile($event)"></app-upload-file>
    </mat-step>
    <mat-step [editable]="false">
        <ng-template matStepLabel>Searching..</ng-template>
        <div class="loading">
            <img src="assets/searching.gif" />
            <mat-progress-bar mode="indeterminate"></mat-progress-bar>
            <h3>Searching file...</h3>
        </div>
    </mat-step>
    <mat-step [editable]="false">
        <ng-template matStepLabel>Predicted class</ng-template>
        <div class="classes">
            <p>The predicted class is marked in gold, but you can choose another.Choose wisely.</p>
            <app-class-list [data]="predictedClass" (chooseClass)="onChooseClass($event)"></app-class-list>
        </div>
    </mat-step>
    <mat-step [editable]="false">
        <ng-template matStepLabel>Results</ng-template>
        <div class="results">
            <div *ngFor="let prediction of predictedFiles;trackBy:identify">
                <app-result [data]="prediction"></app-result>
            </div>
        </div>
    </mat-step>
</mat-stepper>